%define name 	nds2-client
%define version 0.6.4
%define release 0
%define daswg   /opt/lscsoft
%define _prefix  %{daswg}/nds2-client

%define _use_internal_dependency_generator 0
%define __find_requires %{_builddir}/%{name}-%{version}/config/nds-find-requires

Name: 		%{name}
Summary: 	NDS2 Client interface
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		LSC Software/Data Analysis
Source: 	%{name}-%{version}.tar.gz
Packager: 	John Zweizig (john.zweizig@ligo.org)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		https://www.lsc-group.phys.uwm.edu/daswg/wiki/NetworkDataServer2
BuildRequires: 	gcc, gcc-c++, glibc, automake, autoconf, libtool, m4, make
Summary: 	DMT offline
Provides: 	%name
Obsoletes:	%name < %version
Prefix:		%_prefix

%description
The NDS2 client interface allow the user to down-load LIGO data from the V2 LIGO Network Data Servers.

%package devel
Group: Development/Scientific
Summary: NDS2 development
Requires: nds2-client-headers
%description devel
This allows for development using the nds2 client protocol.

%package matlab-devel
Group: Development/Scientific
Summary: NDS2 matlab development
Requires: nds2-client-devel
%description matlab-devel
This allows for generic or custom MATLAB development.

%package octave
Group: Development/Scientific
Summary: Octave extensions for NDS2
Requires: nds2-client
%description octave
This provides extensions to octave to access an NDS2 server

%package matlab2010a
Group: Development/Scientific
Summary: MATLAB 2010a extensions for NDS2
Requires: nds2-client
%description matlab2010a
This provides extensions to MATLAB 2010a to access an NDS2 server

%package matlab2009b
Group: Development/Scientific
Summary: MATLAB 2009b extensions for NDS2
Requires: nds2-client
%description matlab2009b
This provides extensions to MATLAB 2009b to access an NDS2 server

%package matlab2009a
Group: Development/Scientific
Summary: MATLAB 2009a extensions for NDS2
Requires: nds2-client
%description matlab2009a
This provides extensions to MATLAB 2009a to access an NDS2 server

%package matlab2008b
Group: Development/Scientific
Summary: MATLAB 2008b extensions for NDS2
Requires: nds2-client
%description matlab2008b
This provides extensions to MATLAB 2008b to access an NDS2 server

%package matlab2008a
Group: Development/Scientific
Summary: MATLAB 2008a extensions for NDS2
Requires: nds2-client
%description matlab2008a
This provides extensions to MATLAB 2008a to access an NDS2 server

%package matlab2007b
Group: Development/Scientific
Summary: MATLAB 2007b extensions for NDS2
Requires: nds2-client
%description matlab2007b
This provides extensions to MATLAB 2007b to access an NDS2 server

%package matlab2007a
Group: Development/Scientific
Summary: MATLAB 2007a extensions for NDS2
Requires: nds2-client
%description matlab2007a
This provides extensions to MATLAB 2007a to access an NDS2 server

%package matlab2006b
Group: Development/Scientific
Summary: MATLAB 2006b extensions for NDS2
Requires: nds2-client
%description matlab2006b
This provides extensions to MATLAB 2006b to access an NDS2 server

%package matlab2006a
Group: Development/Scientific
Summary: MATLAB 2006a extensions for NDS2
Requires: nds2-client
%description matlab2006a
This provides extensions to MATLAB 2006a to access an NDS2 server

%package matlabr13
Group: Development/Scientific
Summary: MATLAB r13 extensions for NDS2
Requires: nds2-client
%description matlabr13
This provides extensions to MATLAB r13 to access an NDS2 server

%package headers
Group: Development/Scientific
Summary: NDS2 headers
%description headers
This provides a separate package to install the headers shared by the 64 and 32 bit versions.

#----------------------------------------------
# Get onto the fun of building the NDS software
#----------------------------------------------
%prep
%setup

%build
PKG_CONFIG_PATH=/usr/%{_lib}/pkgconfig
export PKG_CONFIG_PATH
%configure \
	%{?_with_matlab}		\
	%{?_without_matlab}		\
	%{?_with_octave}		\
	%{?_without_octave}

make
make check

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#----------------------------------------------
# Remove files that will not be packaged based
# on the arch type
#----------------------------------------------
%ifarch noarch
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_libdir}
%else
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_datadir}/matlab/*
%endif

%ifarch noarch
#----------------------------------------------
# Do the noarch files
#----------------------------------------------
%files headers
%{_includedir}/daqc*.h
%{_includedir}/nds1.h
%{_includedir}/nds2.h
%{_includedir}/channel.h
%{_includedir}/trench.h

%files matlab-devel
%_datadir/matlab/src/*
%_datadir/matlab/NDS*m

%else

#----------------------------------------------
# Handle binary packages
#----------------------------------------------

%define octave %(test -d %{buildroot}%{_libdir}/octave && echo 1 || echo 0)
%define matlab_installed()  %(test -d %{buildroot}%{_libdir}/matlab%{1} && echo 1 || echo 0)
%define matlab_files() %{_libdir}/matlab%{1}

%files
%defattr(-,root,root)
%_bindir/*
%_libdir/libndsclient.so*

%files devel
%_libdir/libndsclient.a
%_libdir/libndsclient.la
%_libdir/pkgconfig/nds2-client.pc

%if %{octave}
%files octave
%{_libdir}/octave/*
%endif

%if %{matlab_installed 2010a}
%files matlab2010a
%{matlab_files 2010a}/*
%endif

%if %{matlab_installed 2009b}
%files matlab2009b
%{matlab_files 2009b}/*
%endif

%if %{matlab_installed 2009a}
%files matlab2009a
%{matlab_files 2009a}/*
%endif

%if %{matlab_installed 2008b}
%files matlab2008b
%{matlab_files 2008b}/*
%endif

%if %{matlab_installed 2008a}
%files matlab2008a
%{matlab_files 2008a}/*
%endif

%if %{matlab_installed 2007b}
%files matlab2007b
%{matlab_files 2007b}/*
%endif

%if %{matlab_installed 2007a}
%files matlab2007a
%{matlab_files 2007a}/*
%endif

%if %{matlab_installed 2006b}
%files matlab2006b
%{matlab_files 2006b}/*
%endif

%if %{matlab_installed 2006a}
%files matlab2006a
%{matlab_files 2006a}/*
%endif

%if %{matlab_installed 13}
%files matlabr13
%{matlab_files 13}/*
%endif
%endif
